Package: org.grails.gradle.plugin.publishing

## [Groovy] Class GrailsPublishExtension

- org.grails.gradle.plugin.publishing.GrailsPublishExtension

- Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `GrailsPublishExtension.License` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `centralRepoUrl` The location of the Grails central repository
    `java.lang.String` | `desc` Description of the plugin
    `java.util.Map<java.lang.String, java.lang.String>` | `developers` The developers of the plugin
    `java.lang.String` | `githubSlug` The slug from github
    `boolean` | `gpgSign` Whether to GPG sign
    `java.lang.String` | `issueTrackerUrl` The issue tracker URL
    `java.lang.String` | `key` The the publishing key
    `GrailsPublishExtension.License` | `license` The license of the plugin
    `boolean` | `mavenCentralSync` Whether to sync to Maven central
    `java.lang.String` | `portalPassword` The password for the plugin portal
    `java.lang.String` | `portalUrl` The plugin endpoint for updating plugins
    `java.lang.String` | `portalUser` The username for the plugin portal
    `java.lang.String` | `repo` THe repository on bintray
    `java.lang.String` | `signingPassphrase` The passphrase to sign, only required if `gpgSign == true`
    `java.lang.String` | `sonatypeOssPassword` Password for maven central
    `java.lang.String` | `sonatypeOssUsername` Username for maven central
    `java.lang.String` | `title` Title of the plugin, defaults to the project name
    `java.lang.String` | `user` The the publishing user
    `java.lang.String` | `userOrg` THe organisation on bintray
    `java.lang.String` | `vcsUrl` The source control URL of the plugin
    `java.lang.String` | `websiteUrl` The website URL of the plugin

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GrailsPublishExtension.License` | `getLicense()`
    `` | `java.lang.String` | `getPortalUser()`
    `` | `GrailsPublishExtension.License` | `license(groovy.lang.Closure configurer)` Configures the license
    `` | `void` | `setLicense(GrailsPublishExtension.License license)`
    `` | `void` | `setLicense(java.lang.String license)`
    `` | `void` | `setPortalUsername(java.lang.String portalUser)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### @java.lang.Deprecated java.lang.String centralRepoUrl

      The location of the Grails central repository

      deprecated:
        Portal notification no longer necessary

    - #### java.lang.String desc

      Description of the plugin

    - #### java.util.Map<java.lang.String, java.lang.String> developers

      The developers of the plugin

    - #### java.lang.String githubSlug

      The slug from github

    - #### boolean gpgSign

      Whether to GPG sign

    - #### java.lang.String issueTrackerUrl

      The issue tracker URL

    - #### java.lang.String key

      The the publishing key

    - #### GrailsPublishExtension.License license

      The license of the plugin

    - #### boolean mavenCentralSync

      Whether to sync to Maven central

    - #### @java.lang.Deprecated java.lang.String portalPassword

      The password for the plugin portal

      deprecated:
        Portal notification no longer necessary

    - #### @java.lang.Deprecated java.lang.String portalUrl

      The plugin endpoint for updating plugins

      deprecated:
        Portal notification no longer necessary

    - #### @java.lang.Deprecated java.lang.String portalUser

      The username for the plugin portal

      deprecated:
        Portal notification no longer necessary

    - #### java.lang.String repo

      THe repository on bintray

    - #### java.lang.String signingPassphrase

      The passphrase to sign, only required if `gpgSign == true`

    - #### java.lang.String sonatypeOssPassword

      Password for maven central

    - #### java.lang.String sonatypeOssUsername

      Username for maven central

    - #### java.lang.String title

      Title of the plugin, defaults to the project name

    - #### java.lang.String user

      The the publishing user

    - #### java.lang.String userOrg

      THe organisation on bintray

    - #### java.lang.String vcsUrl

      The source control URL of the plugin

    - #### java.lang.String websiteUrl

      The website URL of the plugin

  - ### Method Detail

    - #### GrailsPublishExtension.License getLicense()

    - #### @java.lang.Deprecated java.lang.String getPortalUser()

    - #### GrailsPublishExtension.License license(@groovy.lang.DelegatesTo(License) groovy.lang.Closure configurer)

      Configures the license

      Parameters:
        `configurer` - The configurer
      Returns:
        the license instance

    - #### void setLicense(GrailsPublishExtension.License license)

    - #### void setLicense(java.lang.String license)

    - #### @java.lang.Deprecated void setPortalUsername(java.lang.String portalUser)